Status: Resolved Priority: Must have
Author: Robert Lemke Category: Monitor
Created: 2009-05-07 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: AOP cache is not emptied if class file is deleted
Description

I'm not 100% sure but this needs to be checked: If a class file is deleted or moved to a different namespace, the AOP Framework still
tries to execute the cached proxy code. Maybe that's a bug in the File Monitor?

Related issues:
related to TYPO3.Flow - Feature # 3649: Caches should be flushed on package v... Resolved 2009-06-12
related to TYPO3.Flow - Bug # 2974: Aspect / Proxy Cache is not emptied autom... New 2009-03-25

Associated revisions
Revision 44ad6e9b - 2009-06-24 17:37 - Robert Lemke

    -  [+FEAT] FLOW3 (Utility): The Files::readDirectoryRecursively() function now supports an optional $suffix parameter which allows for filtering the
list of files by a given extension.
    -  [+FEAT] FLOW3 (Monitor): The File Monitor now supports monitoring of directories. Once a directory is monitored, any change of files or
directories within the directory (recursively) will emit a respective signal. Resolves #3736
    -  [FIX] FLOW3 (Monitor): Deleted and newly created files are now properly detected by the File Monitor after monitoring of whole directories has
been introduced. Resolves #3240
    -  [+FEAT] FLOW3 (Core): FLOW3 will now check and cache its own revision. If the revision changes (due to an upgrade or update from
Subversion), all registered caches are flushed automatically. This prevents PHP errors due to non backwards compatible cache structures in newer
versions of FLOW3. Resolves #3649

History
#1 - 2009-05-19 12:35 - Robert Lemke
- Target version set to 283

#2 - 2009-06-04 15:02 - Robert Lemke
- Priority changed from Should have to Must have
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-24 17:18 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#4 - 2009-06-24 17:34 - Robert Lemke

The problem lies in the Monitoring mechanism, not in the AOP framework.

#5 - 2009-06-24 18:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2645.
